Get a specific token basket by ID across multiple networks.
curl --request GET \
--url https://api.hydric.org/v1/tokens/baskets/{basketId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hydric.org/v1/tokens/baskets/{basketId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydric.org/v1/tokens/baskets/{basketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"basket": {
"id": "usd-stablecoins",
"name": "USD Stablecoins",
"description": "A basket of the most liquid USD stablecoins in the ecosystem.",
"logoUrl": "https://cdn.jsdelivr.net/gh/hydric-org/token-baskets/assets/logos/usd-stablecoins.png",
"chainIds": [
1,
143
],
"addresses": [
{
"chainId": 1,
"address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
},
{
"chainId": 143,
"address": "0x1234..."
}
],
"tokens": [
{
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
}
]
}
}{
"statusCode": 400,
"timestamp": "2026-02-28T19:40:59.697Z",
"path": "/tokens/baskets/invalid-id",
"traceId": "doc_sample_trace_id",
"error": {
"code": "INVALID_BASKET_ID",
"title": "Invalid Parameters",
"message": "Invalid Basket ID: invalid-id",
"details": "The provided ID is not supported. Supported IDs are: usd-stablecoins, eth-pegged-tokens, btc-pegged-tokens, hype-pegged-tokens, monad-pegged-tokens, xau-stablecoins, eur-stablecoins",
"metadata": {
"basketId": "invalid-id",
"supportedIds": [
"usd-stablecoins",
"eth-pegged-tokens",
"btc-pegged-tokens",
"hype-pegged-tokens",
"monad-pegged-tokens",
"xau-stablecoins",
"eur-stablecoins"
]
}
}
}{
"statusCode": 404,
"timestamp": "2026-02-28T19:40:59.697Z",
"path": "/tokens/baskets/usd-stablecoins",
"traceId": "doc_sample_trace_id",
"error": {
"code": "TOKEN_BASKET_NOT_FOUND",
"title": "Not Found",
"message": "Couldn't find the token basket 'usd-stablecoins' on any supported network",
"details": "The requested token basket does not exist or has no assets on the requested networks.",
"metadata": {
"basketId": "usd-stablecoins"
}
}
}Token Baskets
Get a specific token basket by ID across multiple networks.
Returns aggregated basket data for a specific basket ID (e.g., “usd-stablecoins”). Use the chainIds query parameter to filter to specific networks; if omitted, defaults to all supported networks.
GET
/
v1
/
tokens
/
baskets
/
{basketId}
Get a specific token basket by ID across multiple networks.
Authorizations
Use the docs sandbox API key for authentication: hydric_docs_4N4ocuirsN8Sh
Path Parameters
The unique slug of the basket.
Available options:
usd-stablecoins, eth-pegged-tokens, btc-pegged-tokens, hype-pegged-tokens, monad-pegged-tokens, xau-stablecoins, eur-stablecoins Example:
"usd-stablecoins"
Query Parameters
Filter results to specific networks by chain ID. If omitted, all supported networks will be returned.
Available options:
1, 143, 130, 999, 8453, 9745, 534352 Example:
[1, 8453]
Response
The requested token basket data.
The requested token basket.
Show child attributes
Show child attributes
Example:
{
"id": "usd-stablecoins",
"name": "USD Stablecoins",
"description": "A basket of the most liquid USD stablecoins in the ecosystem.",
"logoUrl": "https://cdn.jsdelivr.net/gh/hydric-org/token-baskets/assets/logos/usd-stablecoins.png",
"chainIds": [1, 143],
"addresses": [
{
"chainId": 1,
"address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
},
{ "chainId": 143, "address": "0x1234..." }
],
"tokens": [
{
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
}
]
}
Was this page helpful?
⌘I